> ## Documentation Index
> Fetch the complete documentation index at: https://docs.infercrane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve a CLI sign-in with the caller's own tenant, role, and scopes



## OpenAPI

````yaml /openapi.json post /api/v1/cli/logins/{code}/approve
openapi: 3.1.0
info:
  description: >-
    Durable, authenticated control-plane operations. Mutation responses may
    outlive the requesting client.
  title: InferCrane Control API
  version: 1.0.0
servers:
  - description: Local InferCrane API and gateway
    url: http://127.0.0.1:18000
security: []
tags:
  - name: Admission
  - name: Adoption
  - name: Agents
  - name: Alerts
  - name: Async inference
  - name: Audit
  - name: Autopilot
  - name: Benchmarks
  - name: Billing
  - name: Billing administration
  - name: Burst Guard
  - name: Capacity intelligence
  - name: Compute
  - name: Context Passport
  - name: Deployments
  - name: Diagnostics
  - name: Endpoints
  - name: External capacity
  - name: FinOps
  - name: Identity
  - name: Inference
  - name: Inference Lab
  - name: Inference decisions
  - name: Inference optimization
  - name: Infrastructure
  - name: Marketplace administration
  - name: Model API administration
  - name: Model APIs
  - name: Model artifacts
  - name: Model catalog
  - name: Monitoring
  - name: Notifications
  - name: Operations
  - name: Planning
  - name: Providers
  - name: Recipes
  - name: Release Guard
  - name: Release evidence
  - name: Replay
  - name: Revisions
  - name: Routing
  - name: Sandboxes
  - name: Scaling
  - name: Secrets
  - name: System
  - name: Targets
  - name: Training lineage
paths:
  /api/v1/cli/logins/{code}/approve:
    post:
      tags:
        - Identity
      summary: Approve a CLI sign-in with the caller's own tenant, role, and scopes
      operationId: approveCLILogin
      parameters:
        - in: path
          name: code
          required: true
          schema:
            minLength: 1
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CLILoginEnvelope'
          description: Success
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
          description: Typed API error
      security:
        - bearerAuth: []
components:
  schemas:
    CLILoginEnvelope:
      additionalProperties: false
      properties:
        login:
          $ref: '#/components/schemas/CLILogin'
      required:
        - login
      type: object
    ErrorEnvelope:
      properties:
        error:
          $ref: '#/components/schemas/Error'
      required:
        - error
      type: object
    CLILogin:
      additionalProperties: false
      properties:
        client_os:
          type: string
        client_version:
          type: string
        created_at:
          format: date-time
          type: string
        decided_at:
          format: date-time
          type: string
        decided_by:
          type: string
        device_name:
          type: string
        expires_at:
          format: date-time
          type: string
        status:
          enum:
            - pending
            - approved
            - denied
            - consumed
            - expired
          type: string
        user_code:
          type: string
      required:
        - user_code
        - device_name
        - client_os
        - client_version
        - status
        - created_at
        - expires_at
      type: object
    Error:
      properties:
        category:
          type: string
        code:
          type: string
        message:
          type: string
        remediation:
          type: string
        request_id:
          type: string
        retryable:
          type: boolean
      required:
        - code
        - message
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.